cancel
Showing results for 
Search instead for 
Did you mean: 

Perl DBI Module

Wilfred Chau_1
Respected Contributor

Perl DBI Module

Hi all
I have this config, and would like to install perl DBI and DBD Oracle. Is there any special flag I need to supply to perl Makefile.PL?

It failed when this error message.

Running Mkbootstrap for DBI ()
chmod 644 DBI.bs
rm -f blib/arch/auto/DBI/DBI.sl
LD_RUN_PATH="" ld -b -L/usr/local/lib DBI.o -o blib/arch/auto/DBI/DBI.sl
ld: (Warning) At least one PA 2.0 object file (DBI.o) was detected. The linked output may not run on a PA 1.x system.
ld: Invalid loader fixup in text space needed in output file for symbol "$000001B8" in input file "DBI.o"
*** Error exit code 1


os: HPUX 11.11 64bit
perl: came with OS version 5.6.1
cc: HP Ansi/C
3 REPLIES
Steve Steel
Honored Contributor

Re: Perl DBI Module

Hi


Look at

http://forums.itrc.hp.com/cm/QuestionAnswer/1,,0xb3bd4e49c5cdd5118ff40090279cd0f9,00.html

Make sure you have

hp-ux_patches/s700_800/11.X/PHSS_26263
hp-ux_patches/s700_800/11.X/PHSS_26264


On your box


steve Steel
If you want truly to understand something, try to change it. (Kurt Lewin)
H.Merijn Brand (procura
Honored Contributor

Re: Perl DBI Module

Do you care to try my 5.8.0 port that comes with precompiled DBI-1.30 and is prepared to run DBD::Oracle?

FWIW, the perl-5.6.1 that is shipped with HP-UX does *NOT* support DBD::Oracle. All newer releases available from the porting certer however *do*.

Please visit https://www.beepz.com/personal/merijn for more info and complete downloads (including gcc-3.2 with which perl was compiled)

As a note aside for all other forumers, I did some benchmarks lately, which proved that HP C-ANSI-C compiled perl-5.8.0 is between 8 and 26% faster than gcc compiled perl's!

So *IF* you have HP's ANSI C compiler, consider either a build of yourself or wait for me putting a HPc build on beepz :) Anyone wants that?
Enjoy, Have FUN! H.Merijn

Re: Perl DBI Module

Acura, I would love to see a 64 bit gcc build
of Perl 5.6.1 or 5.8.1 on HPUX 11.11
( i have loads of problems doing that at
the moment)